const { clipVideo, VideoType } = require('../dist/cjs/development');
const fs = require('fs');
const dotenv = require('dotenv');

dotenv.config();

const clippedVideoBuffer = clipVideo({
  downloaderExecutablePath: process.env.YOUTUBE_DOWNLOADER_EXECUTABLE_PATH,
  type: VideoType.YOUTUBE,
  url: 'https://www.youtube.com/watch?v=BaW_jenozKc',
  start: 0,
  end: 1,
});

fs.writeFileSync('output.webm', clippedVideoBuffer);
